
QGIS Application - Bug report #19753

Adding delimited text no longer adds geometry

2018-09-03 03:01 AM - Sean Tomlinson

Status: Closed

Priority: Normal

Assignee:

Category: Data Provider/Delimited Text 

Affected QGIS version:3.2.2 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data:No Copied to github as #: 27578

Description

Since 31 August 2018 I've been trying to load csv data into QGIS (3.2.2 Bonn) following the usual routine. Every single time, when I

identify the geometry as points, and include longitude and latitude as x and y respectively, it loads the csv as a table with no geometry. I

have reinstalled v3.2.2 Bonn twice, including a fresh download this morning, and the issue is persistent.

Strangely enough, I was working with the same set of files in v3.2.2 on 30 August and the import and visualisation worked perfectly. As

well as a fix to the glitch, I'd like to know how a glitch emerged overnight without me doing anything.

History

#1 - 2018-09-03 06:28 AM - Nyall Dawson

- Status changed from Open to Feedback

Does your source csv have any date attributes? Can you share it?

#2 - 2018-09-03 07:50 AM - Sean Tomlinson

- File Map_data.csv added

By "date attributes" do you mean timestamps?

Almost invariably not. Usually they're point layers representing raster grids, but it doesn't seem to matter because none of my csv files load up correctly

anymore. In this case I've been trying to upload study sites (see attached example). Here I loaded the csv, assigned longitude as the x and latitude as the

y, and ended up with a data table with no geometry.

Also, I have reinstalled QGIS several times, and have removed and reinstalled all the registry files. It makes no difference, I get the same problem every

time

#3 - 2018-09-03 10:43 AM - Giovanni Manghi

- Category changed from Geometry to Data Provider/Delimited Text 

Sean Tomlinson wrote:

By "date attributes" do you mean timestamps?

Almost invariably not. Usually they're point layers representing raster grids, but it doesn't seem to matter because none of my csv files load up
correctly anymore. In this case I've been trying to upload study sites (see attached example). Here I loaded the csv, assigned longitude as the x and

latitude as the y, and ended up with a data table with no geometry.

Also, I have reinstalled QGIS several times, and have removed and reinstalled all the registry files. It makes no difference, I get the same problem

every time

your data work just fine here on QGIS master on Linux.

#4 - 2018-09-03 01:22 PM - Johannes Kroeger

Can you share a screenshot of your delimited text loader dialog?

#5 - 2018-09-04 04:05 AM - Sean Tomlinson

- File screencap_1.jpg added

- File screencap_2.jpg added

I knew it would be like this. I'm doing nothing new, and nothing differently to what has always worked before.

I've included a screen capture of the dialogue box where I'm loading the data (screencap_1), where you can see that I've loaded the data as point

geometry with latitude and longitude in the appropriate places. The CRS is WGS84, which is again the projection that I've always used for all my stuff

without a problem.

You'll see in screencap_2 the layer properties dialogue box. The big red arrow is something that I added myself to point out the problem. The layer has no

geometry, even though I gave it an appropriate point geometry when I was loading it up.

This now happens every single time I try to upload any delimited text into QGIS. I've reinstalled 4 times now, including a complete removal of all QGIS

registry files, and it still does this every time. My current workaround is to open all my delimited files in R, convert to shapefiles, open in QGIS, do whatever

I needed to do, then convert the shapefiles back to delimited files in R. Given that some of my files contain several hundred thousand data points, it's hardly

efficient. Anybody who has any ideas I'd be grateful, but right now I'm thinking of copying QGIS onto a memory stick and burning it in an attempt to

appease whichever foul devilry has hijacked my stuff.

#6 - 2018-09-04 11:00 AM - Giovanni Manghi

- Resolution set to invalid

- Status changed from Feedback to Closed

The issue is that you have the "DMS coordinates" checkbox active and you are selecting two columns for X/Y that have NOT coordinate in DMS (they are

in DD).

Files

Map_data.csv 736 Bytes 2018-09-03 Sean Tomlinson

screencap_1.jpg 671 KB 2018-09-04 Sean Tomlinson

screencap_2.jpg 619 KB 2018-09-04 Sean Tomlinson
